Index: /trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 141)
+++ /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 142)
@@ -1,3 +1,3 @@
-#!/bin/bash
+#!/bin/bash -x
 # 
 # update :
Index: /trunk/SRC/ToBeReviewed/CALCULS/curl.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/curl.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/curl.pro	(revision 142)
@@ -3,48 +3,41 @@
 ;------------------------------------------------------------
 ;+
-; NAME:curl
-;
-; PURPOSE:calcule la composante verticale du rotationnel d''un champ
-; de vecteur horizontaux
-;
-; CATEGORY:calcule sur les matrices
-;
-; CALLING SEQUENCE:res=curl(u,v)
-;
-; INPUTS:
-;       u et v deux matrices representant les coordonnes d''un
-;       champ de vecteur
-;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:res: une matrice 2d
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-; les matrices u et v peuvent de 2 a 4 dimensions.
-; attention pour distinger les differents configurations de u et v
-; (xy, xyz, xyt, xyzt), on regarde la variable du common 
-;        -time qui contient le calendrier en jour julien d''IDL auquel
-;        se rapportent u et v ansi que la variable 
-;        -jpt qui est le nombre de pas de temps a considerer ds time.
-; les tableaux u et v sont decoupes sur le meme domaine
-; geographique. A cause du decalage des grilles T, U, V et F il est
-; possiible que ces 2 tableaux n''aient pas la meme taille et se
-; repportent a des indices differents. Si tel est le cas les tableaux
-; sont redecoupes sur les indices qu'ils ont en commun et le dommaine
-; est redefinit pour qu'il colle a ces indices communs.
-; pour eviter ces redecoupes utiliser le mot cles /memeindice ds
-; domdef.pro
-;
-;
-; les points sur le bord du dessin sont mis a !values.f_nan 
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Guillaume Roullet (grlod@ipsl.jussieu.fr)
+;
+; @file_comments
+; Calculate the vertical component of the curl of a field of horizontal vectors
+;
+; @categories
+; Calculation on matrixes
+; 
+; @param UU
+; Matrix representing coordinates of a field of vectors
+;
+; @param VV 
+; Matrix representing coordinates of a field of vectors
+;
+; @returns RES
+; A 2d matrix
+;
+; @uses
+; common.pro
+;
+; @restrictions
+; U and V matrixes can be 2 or 4d.
+; Beware, to discern differents configuration of U and V (xy, xyz, xyt, xyzt), 
+; we look at the variable of the common 
+;        -time which contain the calendar in IDL julian days to which U and 
+; V refered to, in the same way as the variable 
+;        -jpt which is the number of time's step to consider in time.
+; U and V arrays ae cut in the same geographic domain. Because of the gap of 
+; T, U, V and F grids, it is possible that these two arrays hase not the same 
+; size and refered to different indexes. In this case, arrays are recut on 
+; common indexesand the domain is redifined to match with these common 
+; indexes. To avoid these recuts, use the keyword /memeindice in domdef.pro
+;
+;
+; Points on the drawing edge are at !values.f_nan 
+;
+; @history 
+; Guillaume Roullet (grlod@ipsl.jussieu.fr)
 ; 
 ;                      Sebastien Masson (smasson@lodyc.jussieu.fr)
@@ -53,4 +46,8 @@
 ;                      21/5/1999: valeurs manquantes a !values.f_nan
 ;periodicite 
+; 
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -62,5 +59,5 @@
 ;
 @common
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; To key_performance
 ;
    IF finite(glamu[0])*finite(gphiu[0])*finite(glamv[0])*finite(gphiv[0]) EQ 0 THEN $
@@ -76,5 +73,5 @@
 
 ;------------------------------------------------------------
-; on trouve les points que u et v ont en communs
+; We find common points between U and V
 ;------------------------------------------------------------
    indicexu = (lindgen(jpi))[firstxu:firstxu+nxu-1]
@@ -95,5 +92,5 @@
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of U and V on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -117,5 +114,5 @@
          endcase
 ;------------------------------------------------------------
-; calcul du rotationnel
+; calculation of the curl
 ;------------------------------------------------------------
          coefu = (e1u[indice2d])[*]#replicate(1, nzt)
@@ -142,5 +139,5 @@
          psi = tabf*psi
 ;------------------------------------------------------------
-; mise a !values.f_nan de la bordure
+; Edging put at !values.f_nan
 ;------------------------------------------------------------
          if NOT keyword_set(key_periodic)  OR nx NE jpi then begin
@@ -155,5 +152,5 @@
          if terref[0] NE -1 then psi[temporary(terref)] = valmask
 ;------------------------------------------------------------
-; pour le trace graphique
+; For the graphic drawing
 ;------------------------------------------------------------
          domdef, (glagmt[indice2d])[0, 0], (glamu[indice2d])[nx-1, 0],(gphit[indice2d])[0, 0], (gphiv[indice2d])[0, ny-1], vert1, vert2, gridtype = ['t', 'f']
@@ -171,5 +168,5 @@
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of U and V on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -196,5 +193,5 @@
          endcase
 ;----------------------------------------------------------------------------
-; calcul du rotationnel
+; Calculation of the curl
 ;----------------------------------------------------------------------------
          coefu = e1u[indice2d]*(umask())[indice2d+jpi*jpj*firstzt]
@@ -214,5 +211,5 @@
          tabf = reform(tabf, nx, ny, jpt, /over)
 ;------------------------------------------------------------
-; calcul du rotationnel
+; Calculation of the curl
 ;------------------------------------------------------------
          zu = u*temporary(coefu)
@@ -222,5 +219,5 @@
          psi = tabf*psi
 ;------------------------------------------------------------
-; mise a !values.f_nan de la bordure
+; extraction of U and V on the appropriated domain
 ;------------------------------------------------------------
          if NOT keyword_set(key_periodic) OR nx NE jpi then begin
@@ -255,5 +252,4 @@
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
 ;------------------------------------------------------------
          case 1 of
@@ -278,5 +274,5 @@
          endcase
 ;------------------------------------------------------------
-; calcul du rotationnel
+; Calculation of the curl
 ;------------------------------------------------------------
          coefu = e1u[indice2d]*(umask())[indice2d+jpi*jpj*firstzt]
@@ -295,5 +291,5 @@
 
 ;------------------------------------------------------------
-; mise a !values.f_nan de la bordure
+; Edging put at !values.f_nan
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
@@ -308,5 +304,5 @@
          if terref[0] NE -1 then psi[temporary(terref)] = valmask
 ;------------------------------------------------------------
-; pour le trace graphique
+; for the graphic drawing
 ;------------------------------------------------------------
          domdef, (glamt[indice2d])[0, 0], (glamf[indice2d])[nx-1, 0],(gphit[indice2d])[0, 0], (gphif[indice2d])[0, ny-1], vert1, vert2, gridtype = ['t', 'f']
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 142)
@@ -3,31 +3,28 @@
 ;------------------------------------------------------------
 ;+
-; NAME:depth2floatlevel
+; @file_comments
+; Rather comparable to depth2level but here, the calculated level is in float. 
+; For example, the level 5.4 correspond to a depth equal 
+; to gdep[5]+.4*(gdep[6]-gdep[5])
 ;
-; PURPOSE: assez comparable a depth2level mais ici le niveau calcule
-; est en float. Par ex le niveau 5.4 correspond a une profondeur egale
-; a gdep[5]+.4*(gdep[6]-gdep[5])
+; @categories 
+; Without loop.
 ;
-; CATEGORY: SANS BOUCLE
+; @param TAB {in}{required}
+; 2d depth array (or a structure respecting litchamp criterions)
 ;
-; CALLING SEQUENCE:res=depth2floatlevel(depth2d)
-; 
-; INPUTS: depth2d tableau 2d de profondeur (ou une structure repondant
-; aux criteres de litchamp)
+; @keyword NOMASK
+; To do not mask land points
 ;
-; KEYWORD PARAMETERS: 
-;       /NOMASK: pour ne pas masquer les points terres
+; @returns
+; An 2d array of float containing levels's values.
 ;
-; OUTPUTS: un tableau 2d de float contenant les valeurs des niveaux.
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:common.pro
+; @restrictions
+; Accept values at !values.f_nan and mask land points at valmask.
 ;
-; SIDE EFFECTS:accepte les vcaleurs a !values.f_nan et masque les
-; points terres a valmask.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
+; @examples
 ;    IDL> a=(jpk-1)/(1.*jpi*jpj)*findgen(jpi,jpj)
 ;    IDL> plt, 1e6*(a-floatlevel2depth(depth2floatlevel(a))),/nocontour
@@ -35,6 +32,11 @@
 ;  ->champ nul a 1e-6 pres
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history 
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      15/06/2000
+; 
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -45,5 +47,5 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; for key_performance
 @common
 ;------------------------------------------------------------
@@ -55,6 +57,6 @@
    levellow = depth2level(depthin, /lower, /nomask)
    depthlow = level2depth(levellow, /nomask)
-; calcule de la distance depthlow-depthup et gestion du cas ou cette
-; distance est nulle ou egale a !values.f_nan
+; calculate the distance depthlow-depthup and management of the case 
+; of this distance is null or eqal to !values.f_nan
    divi = depthlow-depthup
    nan = where(finite(divi) EQ 0)
@@ -62,7 +64,7 @@
    nan = where(divi EQ 0)
    if nan[0] NE -1 then divi[nan] = !values.f_nan
-; calcule du resultat
+; calculation of the result
    res = levelup+(depthin-depthup)/divi
-; on masque les points terre a valmask
+; We mask land point at valmask
    if NOT keyword_set(nomask) then begin
       grille,mask
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 142)
@@ -3,45 +3,44 @@
 ;------------------------------------------------------------
 ;+
-; NAME: depth2level
 ;
-; PURPOSE: permet de passer d''un tableau 2d de profondeur au tableau
-; 2d correspondant de niveaux.
+; @file_comments 
+; Allows to pass from a 2d depth array to a corresponding 2d level array.
 ;
-; CATEGORY: SANS BOUCLE
+; @categories
+; Without loop
 ;
-; CALLING SEQUENCE: res=depth2level(depth2d)
+; @param TAB 
+; 2d depth array (or a structure respecting litchamp critrions)
 ;
-; INPUTS: depth2d tableau 2d de profondeur (ou une structure repondant
-; aux criteres de litchamp)
+; @keyword UPPER
+; (activated by default) We select the level just above the depth
 ;
-; KEYWORD PARAMETERS:
+; @keyword LOWER
+; We select the level just below the depth 
 ;
-;      /UPPER: (active par defaut) on selectionne le niveau
-;      directement au dessus de la profondeur
+; @keyword CLOSER 
+; We select the depth's closer level 
 ;
-;      /LOWER: on selectionne le niveau directement au dessous de la
-;      profondeur 
+; @keyword NOMASK 
+; To do not mask land points
 ;
-;      /CLOSER: on selectionne le niveau le plus proche de la
-;      profondeur 
+; @returns 
+; It is a 2d array containing level's values.
 ;
-;      /NOMASK: pour ne pas masquer les points terres
+; @uses
+; common.pro
 ;
-; OUTPUTS: un tableau 2d contenant les valeurs des niveaux.
+; @restrictions 
+; For depthes out of gdep's values, the value !values.f_nan is sent back.
+; if the depth is superior to this one of the bottom, we send back jpk-1 in 
+; the upper case, and !values.f_nan in the lower case.
 ;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:pour les profondeurs hors des valeurs de gdep, la
-; valeur !values.f_nan est retournee.
-; Si la profondeur est superieur a celle du fond, on retourne
-; jpk-1dans le cas upper, et !values.f_nan ds le cas lower.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       17/6/1999
 ;                       15/6/2000 accepte !values.f_nan
+;
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
@@ -53,5 +52,5 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; for key_performance
 @common
 ;------------------------------------------------------------
@@ -59,11 +58,10 @@
    if keyword_set(lower) THEN upper = 0
 ;------------------------------------------------------------
-; lecture du champ d''entree et recuperation de la taille du sous
-; domaine utilise
+; Reading of the input field and recuperation of the used subdomain's size
 ;------------------------------------------------------------
    in = litchamp(tab)
    grille,mask,-1,-1,gdep,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
 ;---------------------------------------------------------------
-; verification de la coherence entre la taille du tableau et le domaine definit par domdef
+; Verification of the coherence between array's size and the defined by domdef domain
 ;---------------------------------------------------------------
    IF ny EQ 1 THEN in = reform(in, nx, ny, /over)
@@ -78,12 +76,11 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; vire les points a !values.f_nan
+; delete points at !values.f_nan
    notanumber = where(finite(in, /nan) EQ 1)
    if notanumber[0] NE -1 then in[notanumber] = 0
 ;------------------------------------------------------------
-; on transforme le tableau 2d de profondeur en tableau 2d de niveaux
-; correspondant aux profondeurs
+; We transform the 2d deth value in a 2d array of levels corresponding to depthes
 ;------------------------------------------------------------
-; on passe en tableaux qui ont la taille des tableaux 3d
+; We go on array who have the size of 3d arrays
    prof=replicate(1,nx*ny)#gdep[firstz:lastz] 
    in = in[*]#replicate(1, nz)
@@ -99,5 +96,5 @@
    IF notvalid[0] NE -1 THEN levels[notvalid] = !values.f_nan
 
-; si closer est active
+; If closer is activated
    if keyword_set(closer) then begin
       test = [ [[litchamp(tab)-level2depth(levels)]] $
@@ -108,7 +105,7 @@
    endif
 ;------------------------------------------------------------
-; on replace les points a !values.f_nan
+; We put back points at !values.f_nan
    if notanumber[0] NE -1 then levels[notanumber] = !values.f_nan
-; on masque les points terres a valmask
+; We mask land points at valmask
    if NOT keyword_set(nomask) then begin
       if n_elements(valmask) EQ 0 then valmask = 1e20
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 142)
@@ -3,42 +3,32 @@
 ;------------------------------------------------------------
 ;+
-; NAME: depth2mask
 ;
-; PURPOSE: permet de passer d''un tableau 2d de profondeur seuil au
-; tableau 3d de mask avec des 1 ds les niveaux au dessus de la
-; profondeur seuil et des 0 en dessous.
+; @file_comments 
+; Allows to pass from a 2d depth sill array to a 3d array of mask 
+; with one of levels above the sill depth and 0s below.
 ;
-; CATEGORY: SANS BOUCLE
+; @categories
+; Without loop
 ;
-; CALLING SEQUENCE: res=depth2mask(depht2d)
+; @param TAB 
+; 2d sill depth array (or a structure respecting litchamp critrions)
 ;
-; INPUTS: depht2d tableau 2d de profondeur seuil (ou une structure repondant
-; aux criteres de litchamp)
-;
-; KEYWORD PARAMETERS:
-;
-;      /UPPER: (active par defaut) on selectionne le niveau
-;      directement au dessus de la profondeur
-;
-;      /LOWER: on selectionne le niveau directement au dessous de la
-;      profondeur 
-;
-;      /CLOSER: on selectionne le niveau le plus proche de la
-;      profondeur 
-;
-; OUTPUTS: un tableau 3d contenant le mask associe au tableau 2d de
+; @keyword _EXTRA
+; used to pass your keywords
+; 
+; @returns
+; It is a 3d array containing the mas associated to the 2d sill depth array
 ; profondeurs seuil
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @uses
+; common.pro
 ;
-; SIDE EFFECTS:
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       17/6/1999
 ;
-; RESTRICTIONS:
+; @version
+; $Id$
 ;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       17/6/1999
 ;-
 ;------------------------------------------------------------
@@ -50,14 +40,13 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; For key_performance
 @common
 ;------------------------------------------------------------
-; on transforme le tableau 2d de profondeur en tableau 2d de niveaux
-; correspondant aux profondeurs
+; We transform the 2d deth value in a 2d array of levels corresponding to depthes
 ;------------------------------------------------------------
    niveaux = depth2level(tab, _extra = ex)
    IF niveaux[0] EQ -1 THEN return,  -1
 ;------------------------------------------------------------
-; on transforme le tableau 2d de niveaux en tableau 3d de mask
+; We transform the 2d array in a 3d array of mask
 ;------------------------------------------------------------
    mask = level2mask(niveaux)
Index: /trunk/SRC/ToBeReviewed/CALCULS/determ2.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 142)
@@ -1,34 +1,42 @@
 ;+
-; NAME:determ2
 ;
-; PURPOSE: computes the determinant of n 2 by 2 arrays
+; file_comments
+; computes the determinant of n 2 by 2 arrays
+; Z2DS is an 2*2*n array
 ;
-; CATEGORY: no DO loops and better accuracy
+; @categories 
+; Without loop
+; 
+; @param A {in}{required}
+; n element array
+; Defined as z2ds[0, 0, *] = z1d00
 ;
-; CALLING SEQUENCE: 2 cases:
-;     res = determ2(z2ds)
-;     res = determ2(z1d00,z1d01,z1d10,z1d11)
+; @param B {in}{required}
+; n element array
+; Defined as z2ds[0, 1, *] = z1d01
 ;
-; INPUTS:
-;     z2ds: an 2*2*n array
-;     or
-;     z1d00,z1d01,z1d10,z1d11: the four n elements arrays
-;     defined as:
-;              z2ds[0, 0, *] = z1d00
-;              z2ds[0, 1, *] = z1d01
-;              z2ds[1, 0, *] = z1d10
-;              z2ds[1, 1, *] = z1d11
+; @param C {in}{required}
+; n element array
+; Defined as z2ds[1, 0, *] = z1d10
 ;
-; OUTPUTS: n elements array, the determinent of each 2*2 arrrays
+; @param D {in}{required}
+; n element array
+; Defined as z2ds[1, 1, *] = z1d11
 ;
-; EXAMPLE:
+; @returns 
+; n elements array, the determinent of each 2*2 arrrays
 ;
+; @examples
 ; a=findgen(2,2,5)
 ; print, determ2(a)
 ; FOR i=0,4 DO print, determ(a[*,*,i]) ; IDL solution
 ;
-; MODIFICATION HISTORY:
+; @history
 ;           S. Masson (smasson@lodyc.jussieu.fr)
 ;           July 11th, 2002
+;
+; @version
+; $Id$
+;
 ;-
 FUNCTION determ2, a, b, c, d
Index: /trunk/SRC/ToBeReviewed/CALCULS/determ3.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 142)
@@ -1,39 +1,67 @@
 ;+
-; NAME:determ3
 ;
-; PURPOSE: computes the determinant of n 3 by 3 arrays
+; @file_comments
+; computes the determinant of n 3 by 3 arrays.
+; Z2DS is an 3*3*n array
 ;
-; CATEGORY: no DO loops and better accuracy
+; @categories
+; Without loop
 ;
-; CALLING SEQUENCE:2 cases:
-;     res = determ2(z2ds)
-;     res = determ2(in00, in01, in02, in10, in11, in12, in20, in21, in22)
+; @param IN00 {in}{required}
+; It is an n element array
+; defined by in00 = z2ds[0, 0, *]
 ;
-; INPUTS:
-;     z2ds: an 3*3*n array
-;     or
-;     in00, in01, in02, in10, in11, in12, in20, in21, in22: the nine n
-;     elements arrays defined as:
-;           in00 = z2ds[0, 0, *]
-;           in01 = z2ds[0, 1, *]
-;           in02 = z2ds[0, 2, *]
-;           in10 = z2ds[1, 0, *]
-;           in11 = z2ds[1, 1, *]
-;           in12 = z2ds[1, 2, *]
-;           in20 = z2ds[2, 0, *]
-;           in21 = z2ds[2, 1, *]
-;           in22 = z2ds[2, 2, *]
+; @param IN01 {in}{required}
+; It is an n element array
+; defined by in01 = z2ds[0, 1, *]
 ;
-; OUTPUTS: n elements array, the determinent of each 3*3 arrrays
+; @param IN02 {in}{required}
+; It is an n element array
+; defined by in02 = z2ds[0, 2, *]
 ;
-; EXAMPLE:
+; @param IN10 {in}{required}
+; It is an n element array
+; defined by in10 = z2ds[1, 0, *]
 ;
+;
+; @param IN11 {in}{required}
+; It is an n element array
+; defined by in11 = z2ds[1, 1, *]
+;
+;
+; @param IN12 {in}{required}
+; It is an n element array
+; defined by in12 = z2ds[1, 2, *]
+;
+;
+; @param IN20 {in}{required}
+; It is an n element array
+; defined by in20 = z2ds[2, 0, *]
+;
+;
+; @param IN21 {in}{required}
+; It is an n element array
+; defined by in21 = z2ds[2, 1, *]
+;
+;
+; @param IN22 {in}{required}
+; It is an n element array
+; defined by in22 = z2ds[2, 2, *]
+;
+; @returns 
+; n elements array, the determinent of each 3*3 arrrays
+;
+; @examples
 ; a=findgen(3,3,5)
 ; print, determ3(a^2)
 ; FOR i=0,4 DO print, determ((a[*,*,i])^2) ; IDL solution
 ;
-; MODIFICATION HISTORY:
+; @history
 ;           S. Masson (smasson@lodyc.jussieu.fr)
 ;           July 11th, 2002
+;
+; @version
+; $Id$
+;
 ;-
 FUNCTION determ3, in00, in01, in02, in10, in11, in12, in20, in21, in22
Index: /trunk/SRC/ToBeReviewed/CALCULS/div.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/div.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/div.pro	(revision 142)
@@ -3,50 +3,50 @@
 ;------------------------------------------------------------
 ;+
-; NAME:div
-;
-; PURPOSE:calcule la divergence d'un champ 2D
-;
-; CATEGORY:calcule sur les matrices
-;
-; CALLING SEQUENCE:res=div(u,v)
-;
-; INPUTS:
-;       u et v deux matrices representant les coordonnes d''un
-;       champ de vecteur
-;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:res: une matrice 2d
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-; les matrices u et v peuvent de 2 a 4 dimensions.
-; attention pour distinger les differents configurations de u et v
-; (xy, xyz, xyt, xyzt), on regarde la variable du common 
-;        -time qui contient le calendrier en jour julien d''IDL auquel
-;        se rapportent u et v ansi que la variable 
-;        -jpt qui est le nombre de pas de temps a considerer ds time.
-; les tableaux u et v sont decoupes sur le meme domaine
-; geographique. A cause du decalage des grilles T, U, V et F il est
-; possiible que ces 2 tableaux n''aient pas la meme taille et se
-; repportent a des indices differents. Si tel est le cas les tableaux
-; sont redecoupes sur les indices qu'ils ont en commun et le dommaine
-; est redefinit pour qu'il colle a ces indices communs.
-; pour eviter ces redecoupes utiliser le mot cles /memeindice ds
-; domdef.pro
-;
-; les points sur le bord du dessin sont mis a !values.f_nan
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Guillaume Roullet (grlod@ipsl.jussieu.fr)
+;
+; @file_comments
+; calculation of the divergence of a 2d field
+;
+; @categories
+; Calculation on matrixes
+;
+; @param UU 
+; Matrix representing coordinates of a field of vectors
+;
+; @param VV 
+; Matrix representing coordinates of a field of vectors
+;
+; @returns RES
+; A 2d matrix
+;
+; @uses
+; common.pro
+;
+; @restrictions
+; U and V matrixes can be 2 or 4d.
+; Beware, to discern differents configuration of U and V (xy, xyz, xyt, xyzt), 
+; we look at the variable of the common 
+;        -time which contain the calendar in IDL julian days to which U and 
+; V refered to, in the same way as the variable 
+;        -jpt which is the number of time's step to consider in time.
+; U and V arrays ae cut in the same geographic domain. Because of the gap of 
+; T, U, V and F grids, it is possible that these two arrays hase not the same 
+; size and refered to different indexes. In this case, arrays are recut on 
+; common indexesand the domain is redifined to match with these common 
+; indexes. To avoid these recuts, use the keyword /memeindice in domdef.pro
+;
+;
+; Points on the drawing edge are at !values.f_nan 
+;
+;
+; @history
+; Guillaume Roullet (grlod@ipsl.jussieu.fr)
 ;                      Creation : printemps 1998
 ;                      Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      adaptation pour marcher avec un domaine reduit
-;                      12/1/2000
+;                      12/1/2000;
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -57,5 +57,5 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; For key_performance
 @common
 ;
@@ -72,5 +72,5 @@
 
 ;------------------------------------------------------------
-; on trouve les points que u et v ont en communs
+; We find common points between U and V
 ;------------------------------------------------------------
    indicexu = (lindgen(jpi))[firstxu:firstxu+nxu-1]
@@ -91,5 +91,5 @@
       (size(u))[0] EQ 3 AND date1 EQ date2 :BEGIN 
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of U and V on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -139,5 +139,5 @@
           *tmask[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1, firstzt:lastzt]
 ;------------------------------------------------------------
-; mise a !values.f_nan de la bordure
+; Edging put at !values.f_nan
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
@@ -154,5 +154,5 @@
          if terre[0] NE -1 then zdiv[temporary(terre)] = valmask
 ;------------------------------------------------------------
-; pour le trace graphique
+; For the graphic drawing
 ;------------------------------------------------------------
          vargrid = 'T'
@@ -169,5 +169,5 @@
       date1 NE date2 AND (size(u))[0] EQ 3 :BEGIN 
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of U and V on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -191,5 +191,5 @@
          endcase
 ;------------------------------------------------------------
-; calcul de la divergence
+; Calculation of the divergence
 ;------------------------------------------------------------
          zu = e2u[indice2d]*(umask())[indice2d+jpi*jpj*firstzt]
@@ -213,5 +213,5 @@
          zdiv = temporary(zdiv)*(zu-shift(zu, 1, 0, 0)+zv-shift(zv, 0, 1, 0))
 ;------------------------------------------------------------
-; mise a !values.f_nan de la bordure
+; Edging put at !values.f_nan
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
@@ -225,5 +225,5 @@
          if terre[0] NE -1 then zdiv[temporary(terre)] = valmask
 ;------------------------------------------------------------
-; pour le trace graphique
+; for the graphic drawing
 ;------------------------------------------------------------
          vargrid = 'T'
@@ -250,5 +250,5 @@
          indice3d = indice3d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1, firstzt]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of U and V on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -275,5 +275,5 @@
          endcase
 ;------------------------------------------------------------
-; calcul de la divergence
+; Calculation of the divergence
 ;------------------------------------------------------------
          zu = temporary(u)*e2u[indice2d]*(umask())[indice3d]
@@ -286,5 +286,5 @@
          zdiv = temporary(zdiv)*tmask[indice3d]/(e1t[indice2d]*e2t[indice2d])
 ;------------------------------------------------------------
-; mise a !values.f_nan de la bordure
+; Edging put at !values.f_nan
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
@@ -301,5 +301,5 @@
          if terre[0] NE -1 then zdiv[temporary(terre)] = valmask
 ;------------------------------------------------------------
-; pour le trace graphique
+; for the graphic drawing
 ;------------------------------------------------------------
          vargrid = 'T'
